Fixes a problem with the W8327EHG driver, where the midi device
could get initialised with no mask.

Signed-off-by: Alexandru Gagniuc <mr.nuke.me@gmail.com>

Index: src/superio/winbond/w83627ehg/superio.c
===================================================================
--- src/superio/winbond/w83627ehg/superio.c	(revision 6323)
+++ src/superio/winbond/w83627ehg/superio.c	(working copy)
@@ -189,7 +189,7 @@
 	{ &ops, W83627EHG_HWM,  PNP_IO0 | PNP_IRQ0, {0x07fe, 0}, },
 
 	{ &ops, W83627EHG_GAME, PNP_IO0, {0x07ff, 0}, },
-	{ &ops, W83627EHG_MIDI, PNP_IO1 | PNP_IRQ0, {0x07fe, 4}, },
+	{ &ops, W83627EHG_MIDI, PNP_IO0 | PNP_IRQ0, {0x07fe, 4}, },
 	{ &ops, W83627EHG_GPIO1, },
 	{ &ops, W83627EHG_GPIO2, },
 	{ &ops, W83627EHG_GPIO3, },
